Subject: Re: [PATCH 2/2] [GSOC] show_bisect_vars(): Use unsigned int instead of signed int for flags

From: Junio C Hamano <[email-masked]>
Date: Sat, 01 Apr 2017 20:30:22 -0700

Robert Stanca <[email-masked]> writes:

> I am used to 1change per patch so it's easier  to redo specific
> patches...if there are small changes(10 lines max) can i send them as
> 1 patch?

It's not number of lines.  One line per patch does not make sense if
you need to make corresponding changes to two places, one line each,
in order to make the end result consistent.  If you change a type of
a structure field, and that field is assigned to a variable
somewhere, you would change the type of both that field and the
variable that receives its value at the same time in a single
commit, as that would be the logical unit of a smallest change that
still makes sense (i.e. either half of that change alone would not
make sense).